package com.arrebol.taxiservicios.model.admin;

import com.arrebol.taxiservicios.model.catalog.Location;
import com.arrebol.taxiservicios.model.core.User;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Oscar Vargas
 */
public class Bitacora implements Serializable {

    private static final long serialVersionUID = 3773719666400846100L;

    private String id;
    private String commentsUser;
    private String action;
    private String description;
    private String nameUser;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    private Location location;

    public Bitacora() {
    }

    public Bitacora(String id, String commentsUser, String action, String description, String nameUser, Date createdOn) {
        this.id = id;
        this.commentsUser = commentsUser;
        this.action = action;
        this.description = description;
        this.nameUser = nameUser;
        this.createdOn = createdOn;
    }

    /**
     *
     * @param id
     * @param commentsUser
     * @param action
     * @param description
     * @param nameUser
     * @param createdBy
     * @param createdOn
     */
    public Bitacora(String id, String commentsUser, String action, String description, String nameUser, User createdBy, Date createdOn) {
        this.id = id;
        this.commentsUser = commentsUser;
        this.action = action;
        this.description = description;
        this.nameUser = nameUser;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCommentsUser() {
        return commentsUser;
    }

    public void setCommentsUser(String commentsUser) {
        this.commentsUser = commentsUser;
    }

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getNameUser() {
        return nameUser;
    }

    public void setNameUser(String nameUser) {
        this.nameUser = nameUser;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

}
